=== debian/control ===
Source: osmo-msc
Section: net
Priority: extra
Maintainer: Alexander Couzens <lynxis@fe80.eu>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               libdbi-dev,
               libtalloc-dev,
               libssl-dev,
               libc-ares-dev,
               libgtp-dev,
               libasn1c-dev,
               libc-ares-dev,
               libosmocore-dev,
               libosmo-sccp-dev,
               libosmo-abis-dev,
               libosmo-legacy-mgcp-dev,
               libosmo-netif-dev,
               libosmo-ranap-dev
Standards-Version: 3.9.8
Vcs-Git: git://git.osmocom.org/osmo-bsc.git
Vcs-Browser: https://git.osmocom.org/osmo-bsc/
Homepage: https://projects.osmocom.org/projects/osmo-bsc

Package: osmo-msc
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OsmoMSC: Osmocom's Mobile Switching Center for 2G and 3G circuit-switched mobile networks

Package: osmo-msc-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmo-msc (= ${binary:Version}), ${misc:Depends}
Description: OsmoMSC: Osmocom's Mobile Switching Center for 2G and 3G circuit-switched mobile networks
