## osmo-msc 0.1.0.20170826

=== debian/changelog ===
osmo-msc (0.1.0.20170826) UNRELEASED; urgency=low

  * Initial release.
  * Snapshot build

 -- Alexander Couzens <lynxis@fe80.eu>  Sat, 26 Aug 2017 04:45:37 +0200
