## osmo-msc 1.2.0

=== debian/changelog ===
osmo-msc (1.2.0-3) unstable; urgency=medium

  * d/patches/0003-Fix-test-failure-because-of-ENOTSUP-being-different-.patch:
    - Fix test suite on mipsel since ENOTSUP is defined differently on that
      architecture than on others

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 15 Nov 2018 21:33:34 +0100

osmo-msc (1.2.0-2) unstable; urgency=low

  * Upload to unstable
  * Fix typo in /etc/osmocom/osmo-msc.cfg

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 05 Nov 2018 22:02:37 +0100

osmo-msc (1.2.0-2~exp1) experimental; urgency=medium

  * debian/control:
    - New standards version 4.2.1 - no changes
    - Set maintainer to Debian Mobcom Maintainers
    - Add myself as uploader
    - Fix 'description-too-long'
  * debian/gbp.conf: to enforce pristine-tar
  * Install default configuration file in /etc/osmocom/osmo-msc.cfg
  * debian/patches/version.patch:
    - Dropped, since now handled in debian/rules
  * debian/rules:
    - Clean up unneeded comments
    - Do not enable systemd service by default
    - Create .tarball-version to make git-version-gen work
    - Properly clean up in override_dh_clean
  * debian/tests:
    - Add simple autopkgtest checking that "osmo-msc -h" works after install

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 22:27:08 +0200

osmo-msc (1.2.0-1) experimental; urgency=medium

  * Initial release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 Jul 2018 13:40:39 +0200
