=== debian/control ===
Source: osmo-msc
Section: net
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>=11)
	, autoconf
	, automake
	, libtool
	, pkg-config
	, libdbi-dev
	, libsmpp34-dev (>= 1.13)
	, osmo-libasn1c-dev (>= 0.9.28)
	, libosmocore-dev (>= 0.11.0)
	, libosmo-sccp-dev (>=0.9.0)
	, libosmo-sigtran-dev (>= 0.9.0)
	, libosmo-abis-dev (>=0.5.0)
	, libosmo-mgcp-client-dev (>= 1.3.0)
	, libosmo-netif-dev (>= 0.2.0)
	, libosmo-ranap-dev (>= 0.3.0)
	, libssl-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-msc
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-msc.git
Homepage: https://osmocom.org/projects/osmomsc

Package: osmo-msc
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Osmocom's Mobile Switching Center for 2G and 3G mobile networks
 The Mobile Switching Center (MSC) is the heart of 2G/3G
 circuit-switched services.  It terminates the A-interface links from the
 Base Station Controllers (BSC) and handles the MM and CC sub-layers of
 the Layer 3 protocol from the phones (MS).
 .
 This Osmocom implementation of the MSC handles A interfaces via 3GPP
 AoIP in an ASP role.  It furthermore implements IETF MGCP against an
 external media gateway, such as OsmoMGW.  It does *not* implement MAP
 towards a HLR, but the much simpler Osmocom GSUP protocol, which can
 be translated to MAP if needed.
