## osmo-msc 1.6.1.19.ef830e

=== debian/changelog ===
osmo-msc (1.6.1.19.ef830e) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Mon, 10 Feb 2020 01:30:48 +0000
