## osmo-msc 1.6.1.20.40b1

=== debian/changelog ===
osmo-msc (1.6.1.20.40b1) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 27 Feb 2020 01:29:27 +0000
