=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Package: osmo-msc
 Architecture: any
 Multi-Arch: foreign
-Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}, libdbd-sqlite3
+Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}, libdbd-sqlite3
 Description: OsmoMSC: Osmocom's Mobile Switching Center for 2G and 3G circuit-switched mobile networks
   The Mobile Switching Center (MSC) is the heart of 2G/3G
   circuit-switched services.  It terminates the A-interface links from the
@@ -49,7 +49,7 @@
 Section: debug
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-nightly, osmo-msc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, osmo-msc (= ${binary:Version}), ${misc:Depends}
 Description: OsmoMSC: Osmocom's Mobile Switching Center for 2G and 3G circuit-switched mobile networks
   The Mobile Switching Center (MSC) is the heart of 2G/3G
   circuit-switched services.  It terminates the A-interface links from the
@@ -69,7 +69,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly, ${misc:Depends}
+Depends: osmocom-latest, ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.
