## osmo-msc 1.6.3+dfsg1

=== debian/changelog ===
osmo-msc (1.6.3+dfsg1-2) unstable; urgency=medium

  * upload to unstable
  * mark test as superficial (Closes: #971490)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Dec 2020 09:06:57 +0100

osmo-msc (1.6.3+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: update dependencies

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 03 Dec 2020 02:06:57 +0000

osmo-msc (1.6.2+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: update dependencies
  * debian/patches: update patches and remove those applied upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 20 Aug 2020 19:02:28 +0000

osmo-msc (1.2.0-4) unstable; urgency=medium

  * add patch for gcc10 (Closes: #957650)
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Aug 2020 20:51:19 +0200
