=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

CONFIGURE_FLAGS += --enable-iu --enable-smpp
override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_install:
	find
	dh_install

override_dh_clean:
	dh_clean
	$(RM) .version
	$(RM) tests/package.m4
	$(RM) tests/testsuite
	$(RM) .tarball-version

override_dh_autoreconf:
	echo $(DEB_VERSION_UPSTREAM) > .tarball-version
	dh_autoreconf

# Print test results in case of a failure
override_dh_auto_test:
	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start
