## osmo-msc 1.7.0

=== debian/changelog ===
osmo-msc (1.7.0) unstable; urgency=medium

  [ Keith Whyte ]
  * Use GSM411_RP_* and not GSM48_CC_*
  * Trivial: code simplification, return early
  * vty: allow configuring db path from cfg file
  * Don't Store an SMS in the database when the ESME is not Bound

  [ Pablo Neira Ayuso ]
  * libmsc: SMS, Avoid premature RP-ACK to MS

  [ Vadim Yanitskiy ]
  * manuals/vty: update the VTY reference to reflect recent changes
  * libvlr: remove unused 'periodic_lu_timer' from struct vlr_subscr
  * osmo-msc: fix: properly initialize default values for MGW timers
  * msc/signal.h: remove unused (since the NiTB split up) signals
  * VTY: mark 'subscriber create imsi' command as deprecated
  * VTY: add osmo_tdef introspection and configuration commands
  * libvlr: use generic osmo_tdef API for T3250, T3260, and T3270
  * libmsc: move subscriber expiration timer T3212 to libvlr
  * vlr: remove unused parameter 'log_level' of auth_fsm_start()
  * vlr_sgs_fsm: add missing break, do not call to_null() twice
  * msc/sccp_ran.h: fix: do not pass -1 to osmo_rat_type_name()
  * VTY: cosmetic: make struct cmd_node for GSMNET_NODE static
  * libmsc/gsm_04_08: make use of msc_a in gsm48_rx_rr_app_info()
  * libmsc/gsm_04_08: use DRR in gsm48_rx_rr_pag_resp(), not DMM
  * libmsc/gsm_04_11.h: remove unused sms_deliver definition
  * osmo-msc: use stderr to print error messages, not stdout
  * libmsc/sdp: cosmetic: fix less-than-zero comparison of an unsigned value
  * SMS-over-GSUP: clarify error message about unexpected MO/MT SMS
  * SMS-over-GSUP: move net->sms_over_gsup check to gsm411_gsup_rx()
  * SMS-over-GSUP: respond with error if net->sms_over_gsup is false
  * SMS-over-GSUP: notify sender about unhandled GSUP messages
  * SMS-over-GSUP: notify sender about malformed GSUP messages
  * SMS-over-GSUP: notify sender in case of RPL delivery failure
  * gsm_04_14: fix off-by-one error in create_gsm0414_msg()
  * vty: fix vsub reference counting: call vlr_subscr_put()
  * debian/control: change maintainer to the Osmocom team / mailing list
  * mncc_builtin: cosmetic: fix coding style in int_mncc_recv()
  * mncc_builtin: log type of unhandled message in int_mncc_recv()
  * main: add --vty-ref-mode, use vty_dump_xml_ref_mode()
  * submit_to_sms(): fix the use of deprecated gsm_septets2octets()
  * ran_a_decode_cipher_mode_reject(): use gsm0808_get_cause()
  * fix _gsm48_cc_trans_free(): send MNCC REL.ind on Clear Request

  [ Neels Hofmeyr ]
  * fix segfault: unsolicited Paging Response
  * manual: add missing mention of MGCP in "Multiple instances"
  * manual: Multiple Instances: tweak MNCC, add missing SGs doc
  * manual: link to new common cs7-config.adoc, remove some dup of that
  * vlr_subscr_rx_id_resp(): dont assert on received MI type
  * msc_vlr_test_gsm_ciph.c: fix IMEISV MI: even number of digits, clear odd bit
  * use new osmo_mobile_identity API everywhere
  * add rudimentary NRI support for MSC pooling
  * add osmo-msc --vty-ref-xml: dump VTY ref XML to stdout
  * add comments to clarify some complete l3 details
  * vty 'show connection': show msc_a->via_cell instead of vsub->cgi
  * propagate Compl L3 Info Cell ID to the VLR subscriber record
  * make vty-transcrip-test: use $VTY_TEST var like osmo-bsc
  * refactor: move RESET Osmux TLV parsing to ran_msg_a.c
  * sgs_tx_loc_upd_resp_cb(): fix error handling for MI encoding
  * is_reset_msg: use proper enum for rc value
  * manuals: generate vty reference xml at build time
  * Clear Command: set cause value to "Call Control"
  * fix crash for unknown MI during Paging Response
  * fix MGCP timeout timer
  * drop duplicate ran_peer_find() vs ran_peer_find_by_addr()
  * fix comment in ran_peer.h
  * msc_vlr_tests: make independent of libosmocore talloc
  * gsm_network: drop unused neighbor_list member

  [ Eric ]
  * configure.ac: fix libtool issue  with clang and sanitizer

  [ Philipp Maier ]
  * doc: do not use random ip-address for MGW
  * msc_vty: remove emergency-call command from network
  * msc_a: add callref as call id to ASSIGNMENT REQ.
  * msc_ho: fix CALL IDENTIFIER in HANDOVER REQUEST
  * mncc_call: fix memory overrun
  * gsm_04_08: check return code of osmo_mobile_identity_decode_from_l3()

  [ Harald Welte ]
  * vlr_auth_fsm: Fix compilation with gcc-10
  * contrib/osmo-msc.spec.in: Enable SMPP in RPM builds
  * remove empty + unused ran_up_l2.c
  * osmo-msc.spec.in: Use %config(noreplace) to retain current config file
  * Send "BSSMAP CommonID" to tell BSC about the IMSI
  * Use osmo_fd_setup() whenever applicable
  * debian/control: Recommend installation of osmo-mgw
  * Use osmo_fd_*_{disable,enable}
  * README update. Explain more what it is than just the history

  [ Pau Espin Pedrol ]
  * Use OSMO_FD_* instead of deprecated BSC_FD_*
  * ran_msg_iu.c: Avoid redefining osmo-iuh global variables
  * configure.ac: Drop trailing whitespace
  * Support setting rt-prio and cpu-affinity mask through VTY
  * Change default SCTP conn NULL->127.0.0.1 to localhost->localhost
  * Support sending IPv6 Transport Address in Assignment Command
  * Support handling IPv6 Transport Address in Assignment Complete
  * tests: Fix VTY results after switch to newer libosmo-mgcp-client
  * Support handling IPv6 Transport Address in Handover Request (Ack)
  * mncc: Support IPv6 addresses (new version mncc 7)
  * contrib/jenkins: Enable parallel make in make distcheck
  * main: generate coredump and exit upon SIGABRT received
  * .gitignore: Ignore new autofoo tmp files
  * tests: Explicitly drop category from log
  * tests: Replace deprecated API log_set_print_filename

  [ Oliver Smith ]
  * contrib: import RPM spec
  * contrib: integrate RPM spec
  * Makefile.am: EXTRA_DIST: debian, contrib/*.spec.in
  * contrib/jenkins: don't build osmo-gsm-manuals
  * configure.ac: set -std=gnu11

  [ Alexander Couzens ]
  * Convert paging response timer into an osmocom own X4 timer

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 23 Feb 2021 20:22:34 +0100
