## osmo-msc 1.8.0+dfsg1

=== debian/changelog ===
osmo-msc (1.8.0+dfsg1-2ubuntu1) kinetic; urgency=medium

  * Fix build failure with installed systemd (See e.g. Debian bug: #1010578)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 May 2022 10:41:30 +0200

osmo-msc (1.8.0+dfsg1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 19 Mar 2022 10:03:40 +0100

osmo-msc (1.8.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use at least libosmocore 1.5.0
  * debian/control: use at least libosmo-abis 1.2.0
  * debian/control: use at least libosmo-netif 1.1.0
  * debian/control: use at least libosmo-sccp 1.5.0
  * debian/control: use at least libosmo-mgcp-client 1.9.0
  * debian/control: use at least libosmo-gsup-client 1.4.0
  * debian/control: use at least libosmo-ranap 0.8.0
  * debian/control: use dh13

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 11 Mar 2022 23:03:40 +0000
