=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 CONFIGURE_FLAGS += --enable-iu --enable-smpp
 override_dh_auto_configure:
-	dh_auto_configure -- $(CONFIGURE_FLAGS)
+	dh_auto_configure -- $(CONFIGURE_FLAGS) --with-systemdsystemunitdir=no
 
 override_dh_install:
 	find
