=== debian/control ===
Source: osmo-msc
Section: net
Priority: extra
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               libsqlite3-dev,
               libsctp-dev,
               libtalloc-dev,
               libsmpp34-dev (>= 1.14.0),
               libasn1c-dev (>= 0.9.30),
               libosmocore-dev (>= 1.7.0),
               libosmo-sccp-dev (>= 1.6.0),
               libosmo-sigtran-dev (>= 1.6.0),
               libosmo-abis-dev (>= 1.3.0),
               libosmo-mgcp-client-dev (>= 1.10.0),
               libosmo-gsup-client-dev (>= 1.5.0),
               libosmo-netif-dev (>= 1.2.0),
               libosmo-ranap-dev (>= 1.3.0),
               osmo-gsm-manuals-dev (>= 1.3.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-msc
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-msc
Homepage: https://osmocom.org/projects/osmomsc

Package: osmo-msc
Architecture: any
Multi-Arch: foreign
Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
Recommends: osmo-mgw
Description: OsmoMSC: Osmocom's Mobile Switching Center for 2G and 3G circuit-switched mobile networks
  The Mobile Switching Center (MSC) is the heart of 2G/3G
  circuit-switched services.  It terminates the A-interface links from the
  Base Station Controllers (BSC) and handles the MM and CC sub-layers of
  the Layer 3 protocol from the phones (MS).
  .
  This Osmocom implementation of the MSC handles A interfaces via 3GPP
  AoIP in an ASP role.  It furthermore implements IETF MGCP against an
  external media gateway, such as OsmoMGW.  It does *not* implement MAP
  towards a HLR, but the much simpler Osmocom GSUP protocol, which can
  be translated to MAP if needed.

Package: osmo-msc-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmocom-latest, osmo-msc (= ${binary:Version}), ${misc:Depends}
Description: OsmoMSC: Osmocom's Mobile Switching Center for 2G and 3G circuit-switched mobile networks
  The Mobile Switching Center (MSC) is the heart of 2G/3G
  circuit-switched services.  It terminates the A-interface links from the
  Base Station Controllers (BSC) and handles the MM and CC sub-layers of
  the Layer 3 protocol from the phones (MS).
  .
  This Osmocom implementation of the MSC handles A interfaces via 3GPP
  AoIP in an ASP role.  It furthermore implements IETF MGCP against an
  external media gateway, such as OsmoMGW.  It does *not* implement MAP
  towards a HLR, but the much simpler Osmocom GSUP protocol, which can
  be translated to MAP if needed.
  .
  This package contains the debug symbols for osmo-msc in order to
  generate meaningful backtraces in bug-reports.

Package: osmo-msc-doc
Architecture: all
Section: doc
Priority: optional
Depends: osmocom-latest, ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.
