## osmo-msc 1.9.0+dfsg1

=== debian/changelog ===
osmo-msc (1.9.0+dfsg1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 13 Oct 2022 22:03:40 +0200

osmo-msc (1.9.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: use at least libosmocore 1.7.0
  * debian/control: use at least libosmo-abis 1.3.0
  * debian/control: use at least libosmo-netif 1.2.0
  * debian/control: use at least libosmo-sccp 1.6.0
  * debian/control: use at least libosmo-mgcp-client 1.10.0
  * debian/control: use at least libosmo-gsup-client 1.5.0
  * debian/control: use at least libosmo-ranap 1.3.0
  * debian/control: add libsqlite3-dev as dependency

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Oct 2022 10:31:16 +0200
