=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: osmo-msc
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>,
            Ruben Undheim <ruben.undheim@gmail.com>
 Build-Depends: debhelper-compat (=13)
